Старые карты Nvidia больше не ладят с 14.04.02 - proUbuntu
1 голос
/ 14 июня 2015

Я добровольно управляю полдюжины ПК с Ubuntu для небольшой некоммерческой организации. Все они похожи - старые ПК с 1,5 ГБ памяти оснащены 32-битной Ubuntu с картами Nvidia GeForce 6200 для повышения производительности (базовый просмотр) и работают нормально до выпуска 14.04.02. При обновлении до .02 все ПК работают нормально с драйверами nouveau, но работают слишком медленно. Отмечая, что Nvidia перестала поддерживать 6200 в пакете драйверов 346.35, я применяю последние поддерживаемые драйверы 304.125 (которые предлагаются в .02) - после чего компьютеры загружаются на графический экран входа в систему - ОК, но после входа в систему рабочий стол / значок цвета неправильные (рабочий стол выглядит черным, значки - просто черные квадраты с белыми / синими контурами), а мышь / клавиатура не реагируют. Пробовал Ubuntu 15.04 / Nvidia 304.125, чтобы увидеть, если что-нибудь прояснилось - но те же проблемы. Так что я вернулся к 14.04.01, который отлично работает с драйверами Nvidia 304.125, и отключил обновления программного обеспечения, что я ненавижу делать. Некоторые поиски на этих форумах показывают, что я не одинок, когда дело доходит до использования «старых» карт Nvidia с 14.04.02 (так много для LTS). Что сломалось? Мысли приветствуются - спасибо.

1 Ответ

0 голосов
/ 14 июня 2015

После обновления до 14.04.2 вы, вероятно, должны воспользоваться преимуществом стека аппаратного обеспечения (пока у меня были довольно хорошие результаты при использовании nvidia-304):

sudo apt-get update
sudo apt-get dist-upgrade

Чтобы установить версию ядра 3.16 * (utopic), выполните следующие действия:

sudo apt-get install --reinstall nvidia-304/trusty linux-generic-lts-utopic xserver-xorg-lts-utopic libegl1-mesa-drivers-lts-utopic xserver-xorg-video-all-lts-utopic xserver-xorg-input-all-lts-utopic

Чтобы установить версию ядра 3.19 * (vivid), сделайте это вместо:

sudo apt-get install --reinstall nvidia-304/trust linux-generic-lts-vivid xserver-xorg-lts-vivid libegl1-mesa-drivers-lts-vivid xserver-xorg-video-all-lts-vivid xserver-xorg-input-all-lts-vivid

или вы можете установить оба, чтобы выяснить, какие из них наилучшие для вас.

Перезагрузитесь и выберите «дополнительные параметры для Ubuntu», когда вы попадете в меню Grub. Затем выберите ядро ​​и нажмите ENTER .

Дополнительно вы можете использовать

sudo apt-mark hold <packagename> 

для предотвращения обновления какого-либо конкретного пакета, чтобы вы могли сохранить версию приложения и при этом разрешить другие системные обновления.

Чтобы вернуться к настройкам по умолчанию, запустите:

sudo apt-mark unhold <packagename>

чтобы отозвать заявку.

Добро пожаловать на сайт proUbuntu, где вы можете задавать вопросы и получать ответы от других членов сообщества.
...